{
    "$schema": "https://docs.renovatebot.com/renovate-schema.json",
    "extends": [
        "schedule:automergeDaily"
    ],
    "dependencyDashboard": true,
    "dependencyDashboardTitle": "Renovate Dashboard",
    "assignees": [
        "chriswin"
    ],
    "labels": [
        "renovate"
    ],
    "configMigration": true,
    "prHourlyLimit": 0,
    "packageRules": [
        {
            "matchCategories": [
                "docker"
            ],
            "enabled": true,
            "managerFilePatterns": [
                "/(^|/)project/db/*\\Dockerfile$/",
                "/(^|/)project/infrastructure/.*\\Dockerfile$/",
                "/(^|/)project/media/.*\\Dockerfile$/",
                "/(^|/)project/monitoring/.*\\Dockerfile$/",
                "/(^|/)project/service/.*\\Dockerfile$/"
            ]
        },
        {
            "matchUpdateTypes": [
                "minor",
                "patch"
            ],
            "automerge": true,
            "automergeType": "pr"
        },
        {
            "matchUpdateTypes": [
                "major"
            ],
            "automerge": false
        }
    ],
    "docker-compose": {
        "enabled": true,
        "managerFilePatterns": [
            "/(^|/)docker-compose\\.yml$/",
            "/(^|/)project/db/.*\\.yml$/",
            "/(^|/)project/infrastructure/.*\\.yml$/",
            "/(^|/)project/media/.*\\.yml$/",
            "/(^|/)project/monitoring/.*\\.yml$/",
            "/(^|/)project/service/.*\\.yml$/"
        ],
        "packageRules": [
            {
                "matchPackageNames": "tensorchord/pgvecto-rs",
                "enabled": false
            },
            {
                "matchPackageNames": "mysql",
                "enabled": false
            },
            {
                "matchPackageNames": "postgres",
                "enabled": false
            },
            {
                "matchPackageNames": "mrusse08/soularr",
                "enabled": false
            },
            {
                "matchPackageNames": "getmeili/meilisearch",
                "enabled": false
            }
        ]
    }
}
